Jeff Trefftzs wrote:

> Hi All -
> I just downloaded and began compiling the latest stable gimp, 1.2.5.
> Configure worked properly, but the compile failed with the following
> output:
> gcc -DHAVE_CONFIG_H -I. -I. -I..
> -I..                            -I../intl                       
> -I/usr/include/gtk-1.2 -I/usr/include/glib-1.2
> -I/usr/lib/glib/include -I/usr/X11R6/include                            
> -I/usr/local/include
> -DLIBDIR=\""/usr/local/lib/gimp/1.2"\"          
> -DLOCALEDIR=\""/usr/local/share/locale"\"               -DREGEX_MALLOC               
>            -DG_LOG_DOMAIN=\"Gimp\"                                          
> -DGTK_DISABLE_COMPAT_H  -g -O2 -Wall -c parasitelist.c
> In file included from
> /usr/lib/gcc-lib/i386-redhat-linux/3.2.2/include/limits.h:132,
>                  from
> /usr/lib/gcc-lib/i386-redhat-linux/3.2.2/include/syslimits.h:7,
>                  from
> /usr/lib/gcc-lib/i386-redhat-linux/3.2.2/include/limits.h:11,
>                  from /usr/lib/glib/include/glibconfig.h:9,
>                  from /usr/include/glib-1.2/glib.h:66,
>                  from /usr/include/gtk-1.2/gdk/gdktypes.h:33,
>                  from /usr/include/gtk-1.2/gdk/gdk.h:31,
>                  from /usr/include/gtk-1.2/gtk/gtk.h:31,
>                  from parasitelist.c:22:
> /usr/include/limits.h:-6358: internal error: Segmentation fault
> Please submit a full bug report,
> with preprocessed source if appropriate.
> Any ideas what might cause this?  I'm on RH9, with a previously
> installed Gimp-1.2.3.  Is it my system (not impossible) or is this a
> real bug?

This looks like a compiler bug as I was able to build gimp-1.2.5 on Slackware 8 with a 
custom 2.4.20 kernel, gcc-3.3, glibc-2.3.2, and glib/gtk+-1.2.10.

Can you possibly upgrade to gcc-3.3 (sources at and see what 



Gimp-user mailing list

Reply via email to